Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1951111

Summary: Smaller Container Base Image (remove sssd-client, util-linux)
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Clement Verna <clems.verna>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: clems.verna, yaneti
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-02 16:03:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1894270    

Description Ben Cotton 2021-04-19 16:20:34 UTC
This is a tracking bug for Change: Smaller Container Base Image (remove sssd-client, util-linux)
For more details, see: https://fedoraproject.org/wiki/Changes/SmallerContainerBase

This change proposes to remove 2 packages (sssd-client, util-linux) from the Container Base Image (including the minimal image). The Fedora Base Image is still quite large compared to other distributions and the tools offered by these packages are not essential in base image.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Clement Verna 2021-04-20 14:03:17 UTC
PR : https://pagure.io/fedora-kickstarts/pull-request/804

Comment 2 Ben Cotton 2021-08-10 12:33:04 UTC
Today is the "Code complete (testable)" deadline in the Fedora Linux 35 release schedule:
https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

If this Change is complete enough to be tested, please indicate this by setting this bug to the MODIFIED status. (If it is 100% complete, you can set it to ON_QA).

If you wish to defer this Change to Fedora Linux 36, please needinfo bcotton.

Comment 3 Ben Cotton 2021-11-02 16:03:44 UTC
F35 was released today. Closing the trackers.